/************************** Example 1 *********************************/
#include "EZ.h"                               /* the header file      */

void cleanExit(EZ_Widget *widget, void *dat)  /* push button callback */
{
  EZ_Shutdown();/* shutdown EZWGL */
  exit(0);      /* and exit       */
}
  
main(int argc, char **argv)
{
  EZ_Widget *hello;

  EZ_Initialize(argc,argv,0);       /* initialize EZWGL    */
  EZ_SetApplicationName("fdsafdsa");
          /* create a button and set its foreground red    */
  hello = EZ_CreateWidget(EZ_WIDGET_NORMAL_BUTTON, NULL,
                          EZ_LABEL_STRING, "Hello World",
                          EZ_FOREGROUND, "red",
                          0);

  EZ_AddWidgetCallBack(hello,       /* register call back  */
        EZ_CALLBACK, cleanExit, NULL, 0);

  EZ_DisplayWidget(hello);          /* show the button     */

  EZ_EventMainLoop();               /* handle mouse inputs */
}
/************************** Example 1 *********************************/

